Автор Тема: [Решено] Вопрос по зависимостям apt.conf  (Прочитано 4884 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kanai

  • Новичок форума
  • Сообщений: 4
  • Jabber: 455107
Совсем недавно возник вопрос, который никак не получается решить.
При установке любого пакета с репозиториев появляется следуещее сообщение:
например:
root@ip*:/home/kanai# apt-get install freecad
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Возможно,*для*исправления*этих*ошибок*вы*захотите*воспользоваться*`apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
 freecad : Зависит: libboost-filesystem1.42.0 (>= 1.42.0-1) но он не будет установлен
           Зависит: libboost-program-options1.42.0 (>= 1.42.0-1) но он не будет установлен
           Зависит: libboost-regex1.42.0 (>= 1.42.0-1) но он не будет установлен
           Зависит: libboost-signals1.42.0 (>= 1.42.0-1) но он не будет установлен
           Зависит: libboost-system1.42.0 (>= 1.42.0-1) но он не будет установлен
           Зависит: libcoin60 но он не будет установлен
           Зависит: libopencascade-foundation-6.3.0 но он не будет установлен
           Зависит: libopencascade-modeling-6.3.0 но он не будет установлен
           Зависит: libsoqt4-20 но он не будет установлен
           Зависит: libxerces-c28 но он не будет установлен
           Зависит: libzipios++0c2a но он не будет установлен
           Рекомендует: python-pivy но он не будет установлен
 libwine-alsa-unstable : Зависит: lib32asound2 (> 1.0.25) но он не будет установлен
 libwine-cms-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-dev-unstable : Зависит: libc6-dev-i386 но он не будет установлен
 libwine-gl-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-gphoto2-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-ldap-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-openal-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-oss-unstable : Зависит: oss-compat но он не будет установлен
 libwine-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
                    Зависит: lib32z1 (>= 1:1.1.4) но он не будет установлен
 teamviewer : Зависит: lib32asound2 но он не будет установлен
              Зависит: lib32z1 но он не будет установлен
              Зависит: ia32-libs но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение).

Если делаем что просят, то:
root@*:/home/kanai# apt-get -f install
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Будут установлены следующие дополнительные пакеты:
  gcc-4.4-multilib gcc-multilib ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1
  lib32gomp1 lib32ncurses5 lib32stdc++6 lib32v4l-0 lib32z1 libc6-dev-i386
  oss-compat
Предлагаемые пакеты:
  lib32mudflap0 ia32-libs-gtk lib32asound2-plugins
Пакеты, которые будут УДАЛЕНЫ:
  libwine-alsa-unstable
НОВЫЕ пакеты, которые будут установлены:
  gcc-4.4-multilib gcc-multilib ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1
  lib32gomp1 lib32ncurses5 lib32stdc++6 lib32v4l-0 lib32z1 libc6-dev-i386
  oss-compat
обновлено 0, установлено 13 новых пакетов, для удаления отмечено 1 пакетов, и 74 пакетов не обновлено.
не установлено до конца или удалено 24 пакетов.
Необходимо скачать 0 B/39,4 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 94,9 MB.
Хотите продолжить [Д/н]? Д
E: Не удалось выполнить оперативную настройку уже распакованного 'libwine-oss-unstable'. Подробней, смотрите в man 5 apt.conf о APT::Immediate-Configure.

если: apt-get install --reinstall libwine-oss-unstable
то ничего нового не выдает все также:
root@ip*:/home/kanai# apt-get install --reinstall libwine-oss-unstable
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Переустановка libwine-oss-unstable невозможна, он не скачивается.
Возможно,*для*исправления*этих*ошибок*вы*захотите*воспользоваться*`apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
 libwine-alsa-unstable : Зависит: lib32asound2 (> 1.0.25) но он не будет установлен
 libwine-cms-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-dev-unstable : Зависит: libc6-dev-i386 но он не будет установлен
 libwine-gl-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-gphoto2-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-ldap-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-openal-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-oss-unstable : Зависит: oss-compat но он не будет установлен
 libwine-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
                    Зависит: lib32z1 (>= 1:1.1.4) но он не будет установлен
 teamviewer : Зависит: lib32asound2 но он не будет установлен
              Зависит: lib32z1 но он не будет установлен
              Зависит: ia32-libs но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение).
В поисках смотрел, сам везде лазил, уже не понимаю что случилось.
Буду рад помощи.
« Последнее редактирование: 09 Мая 2013, 14:37:37 от qupl »
 

Оффлайн qupl

Re: Вопрос по зависимостям apt.conf
« Ответ #1 : 16 Апреля 2013, 10:25:14 »
Покажите
cat /etc/apt/sources.list

Оффлайн kanai

  • Новичок форума
  • Сообщений: 4
  • Jabber: 455107
Re: Вопрос по зависимостям apt.conf
« Ответ #2 : 16 Апреля 2013, 10:55:38 »
kanai@ip47:~$ cat /etc/apt/sources.list
#

# deb cdrom:[Debian GNU/Linux 6.0.6 _Squeeze_ - Official amd64 DVD Binary-1 20120929-16:46]/ squeeze contrib main

# deb cdrom:[Debian GNU/Linux 6.0.6 _Squeeze_ - Official amd64 DVD Binary-1 20120929-16:46]/ squeeze contrib main

deb http://ftp.ru.debian.org/debian/ squeeze main universe
deb-src http://ftp.ru.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main contrib universe
deb-src http://security.debian.org/ squeeze/updates main contrib

# squeeze-updates, previously known as 'volatile'
deb http://ftp.ru.debian.org/debian/ squeeze-updates main contrib
deb-src http://ftp.ru.debian.org/debian/ squeeze-updates main contrib
## Depôt MultiSystem
#deb http://liveusb.info/multisystem/depot all main
 

Оффлайн qupl

Re: Вопрос по зависимостям apt.conf
« Ответ #3 : 16 Апреля 2013, 11:06:21 »
universe - там лишнее, нет такой ветки в debian

aptitude update
aptitude -f install

Если ошибка останется, то удалите пакет libwine-oss-unstable и по новой.

Оффлайн kanai

  • Новичок форума
  • Сообщений: 4
  • Jabber: 455107
Re: Вопрос по зависимостям apt.conf
« Ответ #4 : 16 Апреля 2013, 11:31:15 »
очистил source.list(как сказали):
deb-src http://ftp.ru.debian.org/debian/ squeeze main
deb-src http://security.debian.org/ squeeze/updates main contrib
# squeeze-updates, previously known as 'volatile'
deb http://ftp.ru.debian.org/debian/ squeeze-updates main contrib
deb-src http://ftp.ru.debian.org/debian/ squeeze-updates main contrib
deb http://http.us.debian.org/debian/ squeeze main
##Официальный сервер
#доступны пакеты для stable testing, unstable, stable-backports, experimental
deb http://www.deb-multimedia.org squeeze main non-free
Добавил _ deb _http://www.deb-multimedia.org squeeze main non-free

root@ip47:/home/kanai# apt-get install guake
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
 libwine-alsa-unstable : Зависит: lib32asound2 (> 1.0.25) но он не будет установлен
 libwine-cms-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-dev-unstable : Зависит: libc6-dev-i386 но он не будет установлен
 libwine-gl-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-gphoto2-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-ldap-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-openal-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-oss-unstable : Зависит: oss-compat но он не будет установлен
 libwine-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
                    Зависит: lib32z1 (>= 1:1.1.4) но он не будет установлен
 teamviewer : Зависит: lib32asound2 но он не будет установлен
              Зависит: lib32z1 но он не будет установлен
              Зависит: ia32-libs но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение).
root@ip47:/home/kanai# apt-get -f install
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Будут установлены следующие дополнительные пакеты:
  gcc-4.4-multilib gcc-multilib ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1 lib32gomp1 lib32ncurses5 lib32stdc++6 lib32v4l-0 lib32z1 libc6-dev-i386 oss-compat
Предлагаемые пакеты:
  lib32mudflap0 ia32-libs-gtk lib32asound2-plugins
Пакеты, которые будут УДАЛЕНЫ:
  libwine-alsa-unstable
НОВЫЕ пакеты, которые будут установлены:
  gcc-4.4-multilib gcc-multilib ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1 lib32gomp1 lib32ncurses5 lib32stdc++6 lib32v4l-0 lib32z1 libc6-dev-i386 oss-compat
обновлено 0, установлено 13 новых пакетов, для удаления отмечено 1 пакетов, и 58 пакетов не обновлено.
не установлено до конца или удалено 24 пакетов.
Необходимо скачать 0 B/39,4 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 94,9 MB.
Хотите продолжить [Д/н]?
Хотите продолжить [Д/н]? Д
E: Не удалось выполнить оперативную настройку уже распакованного 'libwine-oss-unstable'. Подробней, смотрите в man 5 apt.conf о APT::Immediate-Configure.
root@ip47:/home/kanai# apt-get purge libwine-oss-unstable
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
 libwine-alsa-unstable : Зависит: lib32asound2 (> 1.0.25) но он не будет установлен
 libwine-cms-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-dev-unstable : Зависит: libc6-dev-i386 но он не будет установлен
 libwine-gl-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-gphoto2-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-ldap-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-openal-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
 libwine-unstable : Зависит: ia32-libs (>= 20120102) но он не будет установлен
                    Зависит: lib32z1 (>= 1:1.1.4) но он не будет установлен
 teamviewer : Зависит: lib32asound2 но он не будет установлен
              Зависит: lib32z1 но он не будет установлен
              Зависит: ia32-libs но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение).
« Последнее редактирование: 16 Апреля 2013, 11:38:55 от kanai »
 

Оффлайн qupl

Re: Вопрос по зависимостям apt.conf
« Ответ #5 : 16 Апреля 2013, 12:14:23 »
А это откуда взялось?
Цитировать
deb http://http.us.debian.org/debian/ squeeze main

Отключите все лишние репозитории. Добейтесь выполнения
aptitude -f installудаляя пакеты, которые мешают.  Есл нет религиозных предубеждений, то рекомендую все-таки aptitude вместо apt-get.

Может недавно что-то устанавливали с ошибками? Тот же Teamviewer ?

Оффлайн ogost

Re: Вопрос по зависимостям apt.conf
« Ответ #6 : 16 Апреля 2013, 12:32:56 »
если не пользуетесь сырцами можете их тоже закомментировать в sources.list:


Оффлайн kanai

  • Новичок форума
  • Сообщений: 4
  • Jabber: 455107
Re: Вопрос по зависимостям apt.conf
« Ответ #7 : 16 Апреля 2013, 12:41:22 »
Большое спасибо qupl все заработало.
Благодарю Вас!
« Последнее редактирование: 16 Апреля 2013, 12:49:31 от kanai »
 

John

  • Гость
Re: Вопрос по зависимостям apt.conf
« Ответ #8 : 16 Апреля 2013, 21:17:37 »
Сие возникло по косорукости составления sources.list.
 

Теги:
     

    [Решено] Обновление debian 6 (squeeze) до 7 (wheezy). Вопросы.

    Автор Vic

    Ответов: 30
    Просмотров: 8698
    Последний ответ 06 Февраля 2014, 10:04:39
    от Malaheenee
    Установка пакета без обновления системы из Synaptic [РЕШЕНО]

    Автор Linuxnoob

    Ответов: 9
    Просмотров: 2803
    Последний ответ 03 Мая 2015, 15:49:55
    от Linuxnoob
    [Решено] Не знаю как примонтировать диск!

    Автор Babay

    Ответов: 4
    Просмотров: 4331
    Последний ответ 31 Января 2012, 07:12:41
    от Babay
    [РЕШЕНО]помогите настроить автомонтирование устройст хранения

    Автор w.qazmju

    Ответов: 5
    Просмотров: 6486
    Последний ответ 19 Сентября 2016, 22:14:59
    от w.qazmju
    [Решено] Удаление пакетов с неудовлетворенными зависимостями.

    Автор Tammy

    Ответов: 8
    Просмотров: 13122
    Последний ответ 16 Января 2013, 20:40:28
    от Tammy